import Ember from 'ember';

export default Ember.Route.extend({
  options: Ember.inject.service(),
  beforeModel: function(/*transition*/) {
    var options = this.get('options');
    if(options.docid) {
      return this.transitionTo('doc', {doc_id: options.docid});
    }
  },
  model: function() {
    return this.store.findAll('document');
  }

});
